%define name	kdar
%define version 1.2.0
%define mdkrel 2mdk


%define summary A disk archiver for KDE
Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{mdkrel}
License:	GPL
Group:		Archiving/Backup
URL:		http://kdar.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-root
Source:		%name-%version.tar.bz2

Requires:	libqt3 >= 3.0.0, kdebase >= 3.0.0,dar , libdar2

BuildRequires:  kdelibs-devel, libqt3-devel, libdar2-devel


%description
KDar is the KDE Disk Archiver. It is a convenient graphical 
interface to Denis Corbin's libdar  archiving and backup C++ library. 
You can safely backup (with compression if you like), view and 
restore files using KDar, along with a few easy UNIX commands 
for mounting and burning CD-R's, Zip and Jazz drives, DVD-R's,
floppies, or any other disk-based storage media.


%prep

%setup -q -n %name-%version

%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%{_lib}:$KDEDIR/%{_lib}:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
export QTLIB=$QTDIR/%{_lib}
CFLAGS="%optflags" CXXFLAGS="%optflags -fpermissive" \
./configure --disable-rpath \
	    --prefix=%_prefix \
	    --libdir=%_libdir \
	    --mandir=%_mandir \
	    --datadir=%_datadir \
	    --disable-debug

%make

%install
rm -rf  %buildroot
%makeinstall_std

install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl %{name} "System/Archiving/Backup" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%{name}

#fix menu warning
echo >> %buildroot/%_menudir/%{name}
#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/%{name}.png %buildroot/%_liconsdir/
ln -s %_datadir/icons/hicolor/32x32/apps/%{name}.png %buildroot/%_iconsdir/
ln -s %_datadir/icons/hicolor/16x16/apps/%{name}.png %buildroot/%_miconsdir/

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO INSTALL
%{_bindir}/*
%{_menudir}/%{name}
%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}/*
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/doc/HTML/*/%{name}/*

%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Tue Sep 28 2004 Svetoslav Slavtchev <svetljo@gmx.de> 1.2.0-2mdk
- fix description length

* Tue Sep 28 2004 Svetoslav Slavtchev <svetljo@gmx.de> 1.2.0-1mdk
- initial contrib package

